/* =========================
   Global
   ========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family:
        "Segoe UI",
        "Microsoft JhengHei",
        sans-serif;

    background: #f5f5f5;
    color: #222;

    min-height: 100vh;

    display: flex;
    flex-direction: column;
}


/* =========================
   Header
   ========================= */

.header {
    background: white;
    padding: 16px;

    border-bottom: 1px solid #ddd;

    position: sticky;
    top: 0;
    z-index: 10;
}

.container {
    max-width: 900px;
    margin: auto;
}

.header h1 {
    margin-bottom: 10px;
}

#songCount {
    color: #666;
    font-size: 14px;
    margin-bottom: 10px;
}

.search {
    width: 100%;

    padding: 10px;

    font-size: 16px;

    border: 1px solid #ccc;
    border-radius: 8px;
}


/* =========================
   Song List
   ========================= */

.content {
    flex: 1;

    max-width: 900px;
    width: 100%;

    margin: auto;

    padding: 16px;

    padding-bottom: 180px;
}

.song-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

/* JavaScript 之後會建立 song-item */

.song-item {
    background: white;

    border-radius: 10px;

    padding: 15px;

    cursor: pointer;

    border: 1px solid #ddd;
}

.song-item:hover {
    background: #f0f8ff;
}

.song-item.active {

    background: #eef6ff;

    border-left: 4px solid #3b82f6;

}


/* =========================
   Player
   ========================= */

.player {

    position: fixed;

    left: 0;
    right: 0;
    bottom: 0;

    background: white;

    border-top: 1px solid #ddd;

    padding: 12px;

}

.player-info {

    display: flex;
    align-items: center;

    gap: 12px;
}

.cover {

    width: 60px;
    height: 60px;

    border-radius: 8px;

    object-fit: cover;

    background: #ddd;
}

.meta {
    flex: 1;
}

.title {
    font-weight: bold;
}

.artist {
    color: #666;
    font-size: 14px;
}

.progress-area {

    display: flex;

    align-items: center;

    gap: 10px;

    margin-top: 12px;
}

#progress {
    flex: 1;
}

.controls {

    display: flex;

    justify-content: center;

    gap: 20px;

    margin-top: 15px;
}

.controls button {

    width: 48px;
    height: 48px;

    border: none;

    border-radius: 50%;

    cursor: pointer;

    font-size: 22px;

    background: #3b82f6;
    color: white;
}

.controls button:hover {
    opacity: 0.9;
}

#repeatBtn.active {
    background: #51ffff;
    color: white;
}